Categories:
  - Internet
License: GPL-3.0-only
AuthorName: Eric Kok
AuthorWebSite: https://ekok.nl/
WebSite: https://www.transdroid.org/
SourceCode: https://github.com/erickok/transdroid
IssueTracker: https://github.com/erickok/transdroid/issues
Changelog: https://github.com/erickok/transdroid/releases
Donate: https://paypal.me/erickoknl

Name: Transdroid
AutoName: ColorPickerPreference
Description: |-
    Allows you to manage your torrents. All popular clients are supported: µTorrent,
    Transmission, rTorrent, Vuze, Deluge, BitTorrent 6, qBittorrent and many more.
    You can view and manage the running torrents and individual files. Adding is
    easy via the integrated search, RSS feeds or the barcode scanner. Monitor
    progress using the home screen widget or background alarm service.

    See also [[org.transdroid.search]] and [[org.transdroid.lite]].

RepoType: git
Repo: https://github.com/erickok/transdroid.git

Builds:
  - versionName: 2.1.2
    versionCode: 211
    commit: v2.1.2
    subdir: full
    patch:
      - java6source.patch
    prebuild:
      - ant -f ../lib/build.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        ../core/res/values/bools.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        res/values/bools.xml
      - mkdir src

  - versionName: 2.1.3
    versionCode: 212
    commit: v2.1.3
    subdir: full
    build:
      - ant -f ../lib/build.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        ../core/res/values/bools.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        res/values/bools.xml
      - mkdir src

  - versionName: 2.2.0
    versionCode: 215
    disable: encoding issues in ../lib java files, not using UTF-8
    commit: v2.2.0
    subdir: full
    build:
      - ant -f ../lib/build.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        ../core/res/values/bools.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        res/values/bools.xml

  - versionName: 2.3.0
    versionCode: 217
    commit: v2.3.0
    subdir: app
    gradle:
      - full
    prebuild:
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/full/res/values/bools.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/main/res/values/bools.xml
      - "sed -i \"s;apply from: '../signing.gradle';;\" build.gradle"

  - versionName: 2.5.1
    versionCode: 221
    commit: v2.5.1
    subdir: app
    gradle:
      - full
    srclibs:
      - Material-Dialogs@v0.6.3.3
    prebuild:
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/full/res/values/bools.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/main/res/values/bools.xml
      - pushd $$Material-Dialogs$$
      - echo "sdk.dir=$ANDROID_HOME" > local.properties
      - sed -i 's;21.1.2;23;' build.gradle
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd

  - versionName: 2.5.4
    versionCode: 224
    disable: material-dialogs gone
    commit: v2.5.4
    subdir: app
    gradle:
      - full
    prebuild:
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/full/res/values/bools.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/main/res/values/bools.xml

  - versionName: 2.5.5
    versionCode: 225
    commit: v2.5.5
    subdir: app
    gradle:
      - full
    prebuild:
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/full/res/values/bools.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/main/res/values/bools.xml

  - versionName: 2.5.6
    versionCode: 226
    commit: v2.5.6
    subdir: app
    gradle:
      - full
    prebuild:
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/full/res/values/bools.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/main/res/values/bools.xml
      - sed -i -e '/android {/alintOptions {\nabortOnError false\n}\n' build.gradle

  - versionName: 2.5.7
    versionCode: 227
    commit: v2.5.7
    subdir: app
    gradle:
      - full
    prebuild:
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/full/res/values/bools.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/main/res/values/bools.xml
      - sed -i -e '/android {/alintOptions {\nabortOnError false\n}\n' build.gradle

  - versionName: 2.5.8
    versionCode: 228
    commit: v2.5.8
    subdir: app
    gradle:
      - full
    prebuild:
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/full/res/values/bools.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/main/res/values/bools.xml
      - sed -i -e '/android {/alintOptions {\nabortOnError false\n}\n' build.gradle

  - versionName: 2.5.10
    versionCode: 230
    commit: v2.5.10
    subdir: app
    gradle:
      - full
    prebuild:
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/full/res/values/bools.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/main/res/values/bools.xml
      - sed -i -e '/android {/alintOptions {\nabortOnError false\n}\n' build.gradle

  - versionName: 2.5.14
    versionCode: 234
    commit: v2.5.14
    gradle:
      - full
    output: app/build/outputs/apk/full/release/app-full-release-unsigned.apk
    prebuild:
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        app/src/*/res/values/bools.xml
      - sed -i -e '/lintOptions/a\        abortOnError false' app/build.gradle

  - versionName: 2.5.15
    versionCode: 235
    commit: v2.5.15
    gradle:
      - full
    output: app/build/outputs/apk/full/release/app-full-release-unsigned.apk
    prebuild:
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        app/src/*/res/values/bools.xml
      - sed -i -e '/lintOptions/a\        abortOnError false' app/build.gradle

  - versionName: 2.5.16
    versionCode: 236
    commit: v2.5.16
    gradle:
      - full
    output: app/build/outputs/apk/full/release/app-full-release-unsigned.apk
    prebuild:
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        app/src/*/res/values/bools.xml
      - sed -i -e '/lintOptions/a\        abortOnError false' app/build.gradle

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 2.5.16
CurrentVersionCode: 236
